StoredKeySet (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.bdb.collection.StoredKeySet,StoredKeySet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.bdb.collection
Class StoredKeySet

    java.lang.Object
      |
      +--com.sleepycat.bdb.collection.StoredContainer
            |
            +--com.sleepycat.bdb.collection.StoredCollection
                  |
                  +--com.sleepycat.bdb.collection.StoredKeySet

All Implemented Interfaces:
  Cloneable, Collection, Set

Direct Known Subclasses:
  StoredSortedKeySet

public class StoredKeySet
extends StoredCollection
implements Set

The Set returned by Map.keySet() and which can also be constructed directly if a Map is not needed. Since this collection is a set it only contains one element for each key, even when duplicates are allowed. Key set iterators are therefore particularly useful for enumerating the unique keys of a store or index that allows duplicates.

Constructor Summary
`StoredKeySet(DataIndex index, DataBinding keyBinding, boolean writeAllowed)` Creates a key set view of a `DataIndex`.
`StoredKeySet(DataStore store, DataBinding keyBinding, boolean writeAllowed)` Creates a key set view of a `DataStore`.

Method Summary
`boolean` | `add(Object key)` Adds the specified key to this set if it is not already present (optional operation).
`boolean` | `contains(Object key)` Returns true if this set contains the specified key.
`boolean` | `remove(Object key)` Removes the specified key from this set if it is present (optional operation).

Methods inherited from class com.sleepycat.bdb.collection.StoredCollection
`addAll, containsAll, equals, iterator, iterator, join, join, removeAll, retainAll, toArray, toArray, toList, toString`

Methods inherited from class com.sleepycat.bdb.collection.StoredContainer
`areDuplicatesAllowed, areDuplicatesOrdered, areKeysRenumbered, clear, isAutoCommit, isDirtyReadAllowed, isDirtyReadEnabled, isEmpty, isIndexed, isOrdered, isTransactional, isWriteAllowed, size`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`addAll, clear, containsAll, equals, hashCode, isEmpty, iterator, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### StoredKeySet

    public StoredKeySet(DataStore store,
                        DataBinding keyBinding,
                        boolean writeAllowed)

  Creates a key set view of a `DataStore`.

Parameters:
  `store` - is the DataStore underlying the new collection.
  `keyBinding` - is the binding used to translate between key buffers and key objects.
  `writeAllowed` - is true to create a read-write collection or false to create a read-only collection.
Throws:
  `IllegalArgumentException` - if formats are not consistently defined or a parameter is invalid.
  `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### StoredKeySet

    public StoredKeySet(DataIndex index,
                        DataBinding keyBinding,
                        boolean writeAllowed)

  Creates a key set view of a `DataIndex`.

Parameters:
  `index` - is the DataIndex underlying the new collection.
  `keyBinding` - is the binding used to translate between key buffers and key objects.
  `writeAllowed` - is true to create a read-write collection or false to create a read-only collection.
Throws:
  `IllegalArgumentException` - if formats are not consistently defined or a parameter is invalid.
  `RuntimeExceptionWrapper` - if a `DbException` is thrown.

Method Detail

### add

    public boolean add(Object key)

  Adds the specified key to this set if it is not already present (optional operation). When a key is added the value in the underlying data store will be empty. This method conforms to the `Set.add(java.lang.Object)` interface.

  Specified by:
    `add` in interface `Set`
  Throws:
    `UnsupportedOperationException` - if the collection is indexed, or if the collection is read-only.
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### remove

    public boolean remove(Object key)

  Removes the specified key from this set if it is present (optional operation). If duplicates are allowed, this method removes all duplicates for the given key. This method conforms to the `Set.remove(java.lang.Object)` interface.

  Specified by:
    `remove` in interface `Set`
  Throws:
    `UnsupportedOperationException` - if the collection is read-only.
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

### contains

    public boolean contains(Object key)

  Returns true if this set contains the specified key. This method conforms to the `Set.contains(java.lang.Object)` interface.

  Specified by:
    `contains` in interface `Set`
  Throws:
    `RuntimeExceptionWrapper` - if a `DbException` is thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.